Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Class IMSClientETDExtImpl

    java.lang.Object
      com.stc.eways.ims.IMSClientETDImpl
          com.stc.eways.ims.IMSClientETDExtImpl

All Implemented Interfaces:
  IMSClientETD

    public class IMSClientETDExtImpl

extends IMSClientETDImpl

Field Summary

Fields inherited from class com.stc.eways.ims.IMSClientETDImpl
`ACQUIRE_LOCK_TIMEOUT, bandrs, cfgProps, EIGHT_SPACES, generatedClientID, message, myConfigs, myExtDelegate, replyMessage, sendCount, TranCodeSrc, waitTimeout`

Constructor Summary
`IMSClientETDExtImpl(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor

Method Summary
`boolean` | `connectionMatch(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Determines whether a connection request matches this connection

Methods inherited from class com.stc.eways.ims.IMSClientETDImpl
`connect, disconnect, getBandrs, getDatastoreID, getLtermName, getMessage, getPassword, getPort, getRacfGroupName, getRacfUserID, getReasonErrMsg, getReply, getReplyBytes, getReturnErrMsg, getSegmentCount, getServer, getTranCode, getTranCodeSrc, IMSRequest, IMSRequest, IMSRequestWithMultiSegs, isConnected, reset, setBandrs, setDatastoreID, setLtermName, setMessage, setPassword, setPort, setRacfGroupName, setRacfUserID, setServer, setTranCode, setTranCodeSrc, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMSClientETDExtImpl

    public IMSClientETDExtImpl(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                        throws IMSClientException

  Constructor

  Parameters:
    `aConfiguration` - ConfigurationHelper
  Throws:
    `IMSClientException`

Method Detail

### connectionMatch

    public boolean connectionMatch(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)

  Determines whether a connection request matches this connection

  Returns:
    `void`;
  Throws:
    `IMSClientException` - upon an external connection problem

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD